window.xgerpJS = {
    $: $.noConflict(true),
    domain: 'https://saas.aiguanji.com',
    version: '1.0.1',
    $common: {
        send(type,data){
            window.opener.postMessage({ type,data },xgerpJS.domain)
        },
        insertInstallPluginTag(){
            if(location.origin === xgerpJS.domain) {
                xgerpJS.$('head').append(`<script id="xgerpjs-installed" data-version="${xgerpJS.version}"></script>`)
            }
        }
    },
    // 采货侠（转转）
    $sale2: {
        baseUrl: 'https://b.zhuanzhuan.com',
        getApis(){
            let that = this
            return {
                getProductList(query){
                    let data = {
                        current: 1,
                        pageSize: 20,
                        sort: 'send_time',
                        pageNum: 1,
                        stickCode: query.stickCode
                    }
                    return that.request('/api/billsummary/listb2bzhiyingbill','POST',{ data: JSON.stringify(data) })
                },
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    success(res) {
                        resolve(res.respData)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let tokenArr = (document.cookie + ';').match(/uid=(.*?);/)
            if(tokenArr && tokenArr[1]) {
                let domain = location.origin
                let url = 'https://zzdzsys.zhuanzhuan.com/#/business/goods-dz'
                if(domain === 'https://zzdzsys.zhuanzhuan.com') xgerpJS.$common.send(2,'Logged')
                else if(domain === 'https://b.zhuanzhuan.com') location = url
            } else xgerpJS.$common.send(-2,'login failed')
        },
        async run(message) {
            let products = message.data.products
            let that = this
            for (let i = 0; i < products.length; i++) {
                try {
                    let res = await that.getApis().getProductList({ stickCode: products[i].sale_no })
                    let item = res.list[0] || false
                    if(item) {
                        item.self_info = products[i]
                        xgerpJS.$common.send(3,item)
                    } else {
                        xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]获取物品信息失败`)
                    }
                } catch (e) {
                    xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]导入失败`)
                }
            }
        }
    },
    // 拍机堂销售(POP)
    $sale8: {
        baseUrl: 'https://sjapi.aihuishou.com',
        token: '',
        getApis(){
            let that = this
            return {
                getProductList(data){
                    data = Object.assign(data,{ size: 20 })
                    return that.request('/supplier-service/desktop/items','GET',data)
                },
                getProductDetail(data) {
                    return that.request('/supplier-service/desktop/items/' + data.itemNo,'GET')
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    headers: {
                        'Access-Token': that.token,
                        'Version': '2.99.0',
                        'Content-Type': 'application/json',
                        'Accept': 'application/json'
                    },
                    data,
                    success(res) {
                        resolve(res.data)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let tokenArr = (document.cookie + ';').match(/sj_token=(.*?);/)
            if(tokenArr && tokenArr[1]) xgerpJS.$common.send(2,'Logged')
            else return xgerpJS.$common.send(-2,'login failed')
            this.token = tokenArr[1]
        },
        async run(message) {
            let products = message.data.products
            let that = this
            for (let i = 0; i < products.length; i++) {
                console.log(products[i].sale_no)
                try {
                    let detail = await that.getApis().getProductDetail({ itemNo: products[i].sale_no })
                    let item = detail.item
                    if(item) {
                        item.self_info = products[i]
                        item.traces = detail.traces
                        if([1,5,6,7].includes(item.status)) {
                            xgerpJS.$common.send(3,item)
                        }
                    } else {
                        xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]获取物品信息失败`)
                    }
                } catch (e) {
                    xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]导入失败`)
                }
            }
        }
    },
    // 拍机堂销售(OPT)
    $sale9: {
        baseUrl: 'https://sjapi.aihuishou.com',
        token: '',
        getApis(){
            let that = this
            return {
                getProductList(query){
                    let data = { pageIndex: 0, status: 64, pageSize: 20 }
                    return that.request('/supplier-api/supply-product/v2/products','POST',data)
                },
                getProductDetail(data) {
                    return that.request(`/supplier-api/supply-product/v2/product/${data.itemNo}`,'GET')
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    headers: {
                        'Access-Token': that.token,
                        'Version': '2.99.0',
                        'App-ID': 'pjt432865',
                        'Platform': 'ios',
                        'Content-Type': 'application/json',
                        'Accept': 'application/json',
                    },
                    data,
                    success(res) {
                        resolve(res.data)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let tokenArr = (document.cookie + ';').match(/sj_token=(.*?);/)
            if(tokenArr && tokenArr[1]) xgerpJS.$common.send(2,'Logged')
            else return xgerpJS.$common.send(-2,'login failed')
            this.token = tokenArr[1]
        },
        async run(message) {
            let products = message.data.products
            let that = this
            for (let i = 0; i < products.length; i++) {
                try {
                    let item = await that.getApis().getProductDetail({ itemNo: products[i].sale_no })
                    if(item) {
                        if(Number(item.status) === 64) {
                            item.self_info = products[i]
                            xgerpJS.$common.send(3,item)
                        }
                    } else {
                        xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]获取物品信息失败`)
                    }
                } catch (e) {
                    xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]导入失败`)
                }
            }
        }
    },
    // 找靓机
    $sale10: {
        baseUrl: 'https://b.zhuanzhuan.com',
        getApis(){
            let that = this
            return {
                getProductList(query){
                    let data = {
                        current: 1,
                        pageSize: 20,
                        sort: 'send_time',
                        pageNum: 1,
                        imei: query.imei,
                        historyFlag: 0
                    }
                    return that.request('/api/billsummary/listsettlerecord','POST',{ data: JSON.stringify(data) })
                },
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    success(res) {
                        resolve(res.respData)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let tokenArr = (document.cookie + ';').match(/uid=(.*?);/)
            if(tokenArr && tokenArr[1]) {
                let domain = location.origin
                let url = 'https://zzdzsys.zhuanzhuan.com/#/business/goods-dz'
                if(domain === 'https://zzdzsys.zhuanzhuan.com') xgerpJS.$common.send(2,'Logged')
                else if(domain === 'https://b.zhuanzhuan.com') location = url
            } else xgerpJS.$common.send(-2,'login failed')
        },
        async run(message) {
            let products = message.data.products
            let that = this
            for (let i = 0; i < products.length; i++) {
                try {
                    let res = await that.getApis().getProductList({ imei: products[i].sale_no })
                    let item = res.list[0] || false
                    if(item) {
                        item.self_info = products[i]
                        xgerpJS.$common.send(3,item)
                    } else {
                        xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]获取物品信息失败`)
                    }
                } catch (e) {
                    xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]导入失败`)
                }
            }
        }
    },
    // 采货侠OPT
    $sale11: {
        baseUrl: 'https://b.zhuanzhuan.com',
        getApis(){
            let that = this
            return {
                getProductList(query){
                    let data = {
                        current: 1,
                        pageSize: 20,
                        sort: 'send_time',
                        pageNum: 1,
                        stickCode: query.stickCode
                    }
                    return that.request('/api/billsummary/listb2bzhiyingbill','POST',{ data: JSON.stringify(data) })
                },
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    success(res) {
                        resolve(res.respData)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let tokenArr = (document.cookie + ';').match(/uid=(.*?);/)
            if(tokenArr && tokenArr[1]) {
                let domain = location.origin
                let url = 'https://zzdzsys.zhuanzhuan.com/#/business/goods-dz'
                if(domain === 'https://zzdzsys.zhuanzhuan.com') xgerpJS.$common.send(2,'Logged')
                else if(domain === 'https://b.zhuanzhuan.com') location = url
            } else xgerpJS.$common.send(-2,'login failed')
        },
        async run(message) {
            let products = message.data.products
            let that = this
            for (let i = 0; i < products.length; i++) {
                try {
                    let res = await that.getApis().getProductList({ stickCode: products[i].sale_no })
                    let item = res.list[0] || false
                    if(item) {
                        item.self_info = products[i]
                        xgerpJS.$common.send(3,item)
                    } else {
                        xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]获取物品信息失败`)
                    }
                } catch (e) {
                    xgerpJS.$common.send(-1,`销售编号[${products[i].sale_no}]导入失败`)
                }
            }
        }
    },



    // 采购渠道
    // 拍机堂
    $purchase1: {
        baseUrl: 'https://sjapi.aihuishou.com',
        token: '',
        getApis() {
            let that = this
            return {
                getProductList(data){
                    data = Object.assign(data,{ productStatus: -1,pageSize: 20, pageType: 1 })
                    return that.request('/recycler-api/recycler-order/product/all','POST',JSON.stringify(data))
                },
                getProductDetail(data){
                    return that.request('/recycler-api/recycler-order/product/detail','POST',JSON.stringify(data))
                },
                getProductPackageDetail(data){
                    return that.request('/recycler-order-api/package/info','GET',data)
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    headers: {
                        'Access-Token': that.token,
                        'Version': '2.32.0',
                        'Content-Type': 'application/json',
                        'Accept': 'application/json'
                    },
                    data,
                    success(res) {
                        resolve(res.data)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let tokenArr = (document.cookie + ';').match(/Access-Token=(.*?);/)
            if(tokenArr && tokenArr[1]) xgerpJS.$common.send(2,'Logged')
            else return xgerpJS.$common.send(-2,'login failed')
            this.token = tokenArr[1]
        },
        async run(message) {
            let that = this
            let listQuery = { pageIndex: 0 }
            let run = true
            while (run) {
                let list = await that.getApis().getProductList(listQuery)
                if(!list.length) { run = false; break; }
                for (let i = 0; i < list.length; i++) {
                    let item = list[i]
                    console.log(item)
                    item.detail = await that.getApis().getProductDetail({ productNo: item.productNo })
                    if(item.detail.createDt < new Date(message.data.start_time + ' 00:00:00').getTime()) { run = false; break; }
                    item.package = await that.getApis().getProductPackageDetail({ packageNo: item.packageNo })
                    xgerpJS.$common.send(3,item)
                }
                listQuery.pageIndex ++
                listQuery.orderId = list[list.length-1].orderId
            }
        }
    },
    // 转转（采货侠）
    $purchase2: {
        baseUrl: 'https://b.zhuanzhuan.com',
        token: '',
        getApis() {
            let that = this
            return {
                getProductList(data){
                    data = {
                        productInfo: JSON.stringify(Object.assign(data,{
                            payTimeEnd: '',
                            orderCompleteTimeBegin: '',
                            orderCompleteTimeEnd: '',
                            pageSize: 20,
                            payChannel: '',
                            isRefund: '',
                            isAfterSale: '',
                            logisticsOrderId: '',
                            orderId: '',
                            backNo: '',
                            imei: '',
                            martType: ''
                        }))
                    }
                    return that.request('/api/billsummary/listProductInfo','POST',data)
                },
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    headers: {
                        'Accept': 'application/json',
                        'Csrf-Token': that.token,
                    },
                    success(res) {
                        resolve(res.respData)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let domain = location.origin
            let url = 'https://zzdzsys.zhuanzhuan.com/#/buylog/product-info'
            if(domain === 'https://zzdzsys.zhuanzhuan.com') {
                let tokenArr = (document.cookie + ';').match(/TT=(.*?)&(.*?);/)
                if(tokenArr && tokenArr[1]) xgerpJS.$common.send(2,'Logged')
                else return xgerpJS.$common.send(-2,'login failed')
                this.token = tokenArr[1]
            } else if(domain === 'https://b.zhuanzhuan.com') location = url
        },
        async run(message){
            let that = this
            let listQuery = { pageNum: 1 }
            let run = true
            while (run) {
                let res = await that.getApis().getProductList(listQuery)
                console.log(res)
                if(!Number(res.total)) { run = false; break }
                for (let i = 0; i < res.list.length; i++) {
                    let item = res.list[i]
                    if(new Date(item.orderCreateTime).getTime() < new Date(message.data.start_time + ' 00:00:00').getTime()) { run = false; break; }
                    xgerpJS.$common.send(3,item)
                }
                listQuery.pageNum ++
            }
        }
    },
    // 回收宝
    $purchase3: {
        baseUrl: 'https://saleapi.huishoubao.com',
        sign(data){
            let fields = [],
                values = {}
            for (let key in data.head) {
                if(data.head[key]) {
                    fields.push(key)
                    values[key] = data.head[key]
                }
            }
            for (let key in data.params) {
                if(data.params[key]) {
                    fields.push(key)
                    values[key] = data.params[key]
                }
            }
            fields.sort()
            let strArr = []
            fields.forEach(field => {
                strArr.push(`${field}=${values[field]}`)
            })
            strArr.push('key=m2cjgx46md5973n4ymeoxa4v195iwwmb')
            console.log('wait sign',strArr.join('&'))
            return md5(strArr.join('&')).toLowerCase()
        },
        formatParams(query,face){
            return {
                head: {
                    version: '0.01',
                    msgtype: 'request',
                    interface: face
                },
                params: Object.assign(query,{
                    login_token: localStorage.getItem('token'),
                    time: new Date().getTime().toString().substring(0,10),
                    system: 'SALESAPP',
                })
            }
        },
        getApis() {
            let that = this
            return {
                getProductList(query){
                    let face = 'SalesServer.Api.Order.List'
                    // { pageIndex: 0, startTime: message.data.start_time }
                    let data = that.formatParams(Object.assign(query,{
                        endTime: new Date().toLocaleDateString().split('/').join('-'),
                        pageSize: 50,
                    }),face)
                    delete data.params.sign
                    data.params.sign = that.sign(data)
                    return that.request(`/index/index?i=${face}`,'POST',JSON.stringify(data))
                },
                getProductDetail(query) {
                    let face = 'SalesServer.Api.Order.Info'
                    let data = that.formatParams(query,face)
                    delete data.params.sign
                    data.params.sign = that.sign(data)
                    return that.request(`/index/index?i=${face}`,'POST',JSON.stringify(data))
                },
                getOrderList(query){
                    let face = 'order_goods_list'
                    // { pageIndex: 0, createTimeBegin: message.data.start_time }
                    let data = that.formatParams(Object.assign(query,{
                        createTimeEnd: '2099-01-01',
                        pageSize: 50,
                    }),face)
                    delete data.params.sign
                    data.params.sign = that.sign(data)
                    return that.request(`/front/order?i=${face}`,'POST',JSON.stringify(data))
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    success(res) {
                        resolve(res.body)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let token = localStorage.getItem('token')
            console.log('token',token)
            if(token) xgerpJS.$common.send(2,'Logged')
            else xgerpJS.$common.send(-2,'login failed')
        },
        async run(message){
            let that = this
            let listQuery = { pageIndex: 0, createTimeBegin: message.data.start_time }
            let orderInfoCache = {}
            let run = true
            while (run) {
                let res = await that.getApis().getOrderList(listQuery)
                if(!res.data.list.length) { run = false; break }
                for (let i = 0; i < res.data.list.length; i++) {
                    let item = res.data.list[i]
                    let detail = orderInfoCache[item.orderId]
                    if(!detail) {
                        detail = await that.getApis().getProductDetail({ orderId: item.orderId, isCdn: 1 })
                        orderInfoCache[item.orderId] = detail
                    }
                    item.detail = detail.info
                    xgerpJS.$common.send(3,item)
                }
                listQuery.pageIndex ++
            }
        }
    },
    // 同城帮
    $purchase6: {
        baseUrl: 'https://tjh.tcbang.cn',
        getApis() {
            let that = this
            return {
                getOrderList(query){
                    // { page: 0, start_create_time: message.data.start_time }
                    let data = Object.assign(query,{
                        order_id: '',
                        parent_order_id: '',
                        imei: '',
                        wh_id: '',
                        express_number: '',
                        end_create_time: '',
                        _: new Date().getTime()
                    })
                    return that.request('/auction/getOrderLists','GET',data)
                },
                getChildOrderList(data){
                    return that.request('/auction/getOrderDeliverList','GET',data)
                },
                getProductList(data){
                    return that.request('/auction/getOrderInfo','GET',data)
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    success(res) {
                        resolve(res.result)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let that = this
            let action = location.pathname
            if(action !== '/login') {
                if(action !== '/auction/orderlist') {
                    location = 'https://tjh.tcbang.cn/auction/orderlist'
                } else {
                    xgerpJS.$common.send(2,'Logged')
                }
            }
        },
        async run(message){
            let that = this
            let listQuery = { page: 1, start_create_time: message.data.start_time }
            let run = true
            while (run) {
                let res = await that.getApis().getOrderList(listQuery)
                if(!res.lists.data.length) { run = false; break }
                for (let i = 0; i < res.lists.data.length; i++) {
                    let item = res.lists.data[i]
                    let childOrderList = await that.getApis().getChildOrderList({ parent_order_id: item.parent_order_id })
                    for (let j = 0; j < childOrderList.orderLists.length; j++) {
                        let childOrderItem = childOrderList.orderLists[j]
                        childOrderItem.parent_order = item
                        let orderInfo = await that.getApis().getProductList({ order_id: childOrderItem.order_id })
                        orderInfo.model_lists.forEach(product => {
                            let tempOrderInfo = orderInfo
                            delete tempOrderInfo.model_lists
                            product.order = tempOrderInfo
                            xgerpJS.$common.send(3,product)
                        })
                    }
                }
                listQuery.page ++
            }
        }
    },
    // 拍闲品
    $purchase4: {
        baseUrl: 'https://www.paixianpin.com/Api/Gateway',
        token: '',
        getApis(){
            let that = this
            return {
                getOrderList(query){
                    // { page: 1 }
                    let data = Object.assign(query,{
                        __RequestVerificationToken: that.token,
                        method: 'sale/order/web/pack/list',
                        status: 0,
                        pagesize: 10
                    })
                    return that.request('','POST',data)
                },
                getOrderDetail(query){
                    // { "saleid": "2112190402008666991" }
                    let data = Object.assign(query,{
                        __RequestVerificationToken: that.token,
                        method: 'sale/order/pack/detail',
                        status: 0,
                        page: 1,
                        pagesize: 10
                    })
                    return that.request('','POST',data)
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    dataType: 'json',
                    success(res) {
                        resolve(res.model)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            this.token = xgerpJS.$("input[name='__RequestVerificationToken']").val();
            if(this.token) {
                console.log(this.token)
                let action = location.pathname
                if(action !== '/Login/Index') {
                    if(action !== '/Home/SaleOrderList') {
                        location = 'https://www.paixianpin.com/Home/SaleOrderList#'
                    } else {
                        xgerpJS.$common.send(2,'Logged')
                    }
                }
            } else {
                xgerpJS.$common.send(-2,'login failed')
            }
        },
        async run(message) {
            let that = this
            let listQuery = { page: 1 }
            let run = true
            while (run) {
                let list = await that.getApis().getOrderList(listQuery)
                if(!list.length) { run = false; break }
                for (let i = 0; i < list.length; i++) {
                    let item = list[i]
                    if(Number(item.status) === -100) continue // 跳过已关闭
                    if(new Date(item.createtime).getTime() < new Date(message.data.start_time + ' 00:00:00').getTime()) { run = false; break; }
                    let detail = await that.getApis().getOrderDetail({ saleid: item.saleid })
                    detail.orderlist.forEach(product => {
                        product.order = detail.pack
                        xgerpJS.$common.send(3,product)
                    })
                }
                listQuery.page ++
            }
        }
    },
    // 小当竞拍
    $purchase7: {
        baseUrl: 'https://www.xiaodangjingpai.com',
        getApis() {
            let that = this
            return {
                getOrderList(query){
                    // { pageNum: 1, gmtStartBegin: message.data.start_time }
                    let data = Object.assign(query,{
                        biddingNo: '',
                        gmtExpireEnd: '',
                        orderNo: '',
                        pageSize: 10,
                        statusList: []
                    })
                    return that.request('/api/dh/sale/order/bidOrder/list','POST',JSON.stringify(data))
                },
                getOrderDetail(query) {
                    // { biddingOrderNo: "1282768874190216192", }
                    let data = Object.assign(query,{
                        brand: '',
                        evaluationLevels: [],
                        imei: '',
                        merchandiseIdString: '',
                        pageNum: 1,
                        pageSize: 1000,
                        product: ''
                    })
                    return that.request('/api/dh/sale/order/bidSubject/list','POST',JSON.stringify(data))
                }
            }
        },
        request(url,method,data){
            let that = this
            return new Promise(function(resolve, reject){
                xgerpJS.$.ajax({
                    url: that.baseUrl + url,
                    method,
                    headers: {
                        'Content-Type': 'application/json',
                        'Accept': 'application/json',
                        'channelid': '700001',
                        'bversion': '2.1'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    data,
                    success(res) {
                        resolve(res.data)
                    },
                    error(err){
                        reject(err)
                    }
                })
            })
        },
        checkLogin(){
            let that = this
            let action = location.href.split('#')[1]
            if(action !== '/login') {
                if(action !== '/order_mgt/index') {
                    location = 'https://www.xiaodangjingpai.com/#/order_mgt/index'
                } else {
                    xgerpJS.$common.send(2,'Logged')
                }
            }
        },
        async run(message){
            let that = this
            let listQuery = { pageNum: 1 }
            let run = true
            while (run) {
                let res = await that.getApis().getOrderList(listQuery)
                if(!res.items.length) { run = false; break }
                for (let i = 0; i < res.items.length; i++) {
                    let item = res.items[i]
                    if(Number(item.gmtCreated) < new Date(message.data.start_time + ' 00:00:00').getTime()) { run = false; break; }
                    let detail = await that.getApis().getOrderDetail({ biddingOrderNo: item.orderNo })
                    detail.pageResult.items.forEach(product => {
                        product.order = detail.orderInfo
                        xgerpJS.$common.send(3,product)
                    })
                }
                if(listQuery.pageNum * 10 + res.items.length >= res.total) { run = false; break }
                listQuery.pageNum ++
            }
        }
    }
}

xgerpJS.$(function(){
    let channel;
    xgerpJS.$common.insertInstallPluginTag()
    if(!window.opener) return false
    xgerpJS.$common.send(1,`loaded version ${xgerpJS.version}`)
    window.addEventListener("message", async e => {
        if(e.origin === xgerpJS.domain) {
            let message = e.data
            console.log('PostMessageData:',message)
            switch (message.type) {
                case 1:
                    channel = xgerpJS[`$${message.data.scene}${message.data.type}`]
                    if(!channel) return xgerpJS.$common.send(0,'channel failed')
                    channel.checkLogin(message)
                    break;
                case 2:
                    let res = await channel.run(message)
                    xgerpJS.$common.send(4,'task success')
                    window.close()
            }
        }
    })
})
